class KStartupInfoData

# class KStartupInfoData | Class representing data about an application startup notification. More...
Definition | `#include <kstartupinfo.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum TriState { Yes, No, Unknown }

#### Public Methods

- void setBin ( const QString& bin )
- const QString& bin () const
- void setName ( const QString& name )
- const QString& findName () const
- const QString& name () const
- void setIcon ( const QString& icon )
- const QString& findIcon () const
- const QString& icon () const
- void setDesktop ( int desktop )
- int desktop () const
- void setWMClass ( const QCString& wmclass )
- const QCString findWMClass () const
- const QCString& WMClass () const
- void addPid ( pid_t pid )
- const QValueList< pid_t >& pids () const
- bool is_pid ( pid_t pid ) const
- void setHostname ( const QCString& hostname = QCString())
- const QCString& hostname () const
- void setSilent ( TriState state )
- TriState silent () const
- void update ( const KStartupInfoData& data )
- KStartupInfoData ()
- KStartupInfoData ( const KStartupInfoData& data )
- ~KStartupInfoData ()
- KStartupInfoData& operator= ( const KStartupInfoData& data )

## Detailed Description

Class representing data about an application startup notification.

Such data include the icon of the starting application, the desktop on which the application should start, the binary name of the application, etc.

See also: KStartupInfo, KStartupInfoId

void setBin ( const QString& bin ) | ### setBin

Sets the binary name of the application ( e.g. 'kcontrol' ).

Parameters:

bin | the new binary name of the application

const QString& bin () | ### bin

[const]

Returns the binary name of the starting application

Returns: the new binary name of the application

void setName ( const QString& name ) | ### setName

Sets the name for the notification ( e.g. 'Control Center' )

const QString& findName () | ### findName

[const]

Returns the name of the startup notification, or if it's not available, the binary name.

Returns: the name of the startup notification, or the binary name if not available

const QString& name () | ### name

[const]

Returns the name of the startup notification, or empty if not available.

Returns: the name of the startup notificaiton, or an empty string if not set.

void setIcon ( const QString& icon ) | ### setIcon

Sets the icon for the startup notification ( e.g. 'kcontrol' )

Parameters:

icon | the name of the icon

const QString& findIcon () | ### findIcon

[const]

Returns the icon of the startup notification, and if it's not available, tries to get it from the binary name.

Returns: the name of the startup notification's icon, or the name of the binary if not set

const QString& icon () | ### icon

[const]

Returns the icon of the startup notification, or empty if not available.

Returns: the name of the icon, or an empty string if not set.

void setDesktop ( int desktop ) | ### setDesktop

Sets the desktop for the startup notification ( i.e. the desktop on which the starting application should appear ).

Parameters:

desktop | the desktop for the startup notification

int desktop () | ### desktop

[const]

Returns the desktop for the startup notification.

Returns: the desktop for the startup notification

void setWMClass ( const QCString& wmclass ) | ### setWMClass

Sets a WM_CLASS value for the startup notification, it may be used for increasing the chance that the windows created by the starting application will be detected correctly.

Parameters:

wmclass | the WM_CLASS value for the startup notification

const QCString findWMClass () | ### findWMClass

[const]

Returns the WM_CLASS value for the startup notification, or binary name if not available.

Returns: the WM_CLASS value for the startup notification, or the binary name if not set

const QCString& WMClass () | ### WMClass

[const]

Returns the WM_CLASS value for the startup notification, or empty if not available.

Returns: the WM_CLASS value for the startup notification, or empty if not set

void addPid ( pid_t pid ) | ### addPid

Adds a PID to the list of processes that belong to the startup notification. It may be used to increase the chance that the windows created by the starting application will be detected correctly, and also for detecting if the application has quit without creating any window.

Parameters:

pid | the PID to add

const QValueList< pid_t >& pids () | ### pids

[const]

Returns all PIDs for the startup notification.

Returns: the list of all PIDs

bool is_pid ( pid_t pid ) | ### is_pid

[const]

Checks whether the given `pid` is in the list of PIDs for starup notification.

Returns: true if the given `pid` is in the list of PIDs for the startup notification

void setHostname ( const QCString& hostname = QCString()) | ### setHostname

Sets the hostname on which the application is starting. It's necessary to set it if PIDs are set.

Parameters:

hostname | the application's hostname. If it's a null string, the current hostname is used

const QCString& hostname () | ### hostname

[const]

Returns the hostname for the startup notification.

Returns: the hostname

enum TriState { Yes, No, Unknown } | ### TriState

void setSilent ( TriState state ) | ### setSilent

Sets whether the visual feedback for this startup notification should be silenced (temporarily suspended).

TriState silent () | ### silent

[const]

Return the silence status for the startup notification.

Returns: KStartupInfoData::Yes if visual feedback is silenced

void update ( const KStartupInfoData& data ) | ### update

Updates the notification data from the given data. Some data, such as the desktop or the name, won't be rewritten if already set.

Parameters:

data | the data to update

KStartupInfoData () | ### KStartupInfoData

Constructor. Initializes all the data to their default empty values.

KStartupInfoData ( const KStartupInfoData& data ) | ### KStartupInfoData

Copy constructor.

~KStartupInfoData () | ### ~KStartupInfoData

KStartupInfoData& operator= ( const KStartupInfoData& data ) | ### operator=

- Version: $Id: kstartupinfo.h,v 1.15.2.4 2003/02/25 08:05:13 lunakl Exp $
- Author: Lubos Lunak
- Generated: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:15 2003, using kdoc 2.0a54.